Skip to main content
GET
/
v3
/
video-agents
/
{session_id}
Get Video Agent Session
curl --request GET \
  --url https://api.heygen.com/v3/video-agents/{session_id} \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "session_id": "<string>",
    "created_at": 123,
    "progress": 0,
    "title": "<string>",
    "video_id": "<string>",
    "messages": [
      {
        "role": "<string>",
        "content": "<string>",
        "created_at": 123,
        "resource_ids": [
          "<string>"
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.heygen.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Path Parameters

session_id
string
required

Session ID

Response

Successful response

data
GetSessionResponse · object

Response from getting a video agent session.